Subject: bug#40225: 27.0.90; abort with apparent stack explosion in lsp-mode

From: Juri Linkov <[email-masked]>
Date: Thu, 10 Feb 2022 20:50:25 +0200

> So with regard to the subject of this issue I think it's fine to close
> this. Not having tab-line-mode call tab-line-tabs-buffer-list-function
> on pretty much every possible event might be a worthwhile improvement
> at some point though (I haven't checked whether things improved in
> Emacs 28).

Pretty much every event can kill buffers, and the list of buffers
displayed on the tab line should reflect the change of the buffer list.
The existing optimization takes care only to not redraw the tab line
on every event when the buffer list is unchanged.